# Mastodon Server Recommendation System

## Guideposts

- [manuscripts](/manuscripts/) - Contains the manuscripts for the project.
- [notebooks](/notebooks/) - Notebooks for data exploration and analysis.
- [FediRecommender](/FediRecommender/) - Python package for building and running the recommendation system.
- [codebase](/codebase/) - Place to store shared code.
- [recommender](/recommender/) - Contains the recommendation system code (front-end).
- [presentations](/presentations/) - Slide decks.
- [scripts](/scripts/) - Scripts for data processing and analysis.

## Getting Started

### Environment Setup

This project uses [renv](https://rstudio.github.io/renv/) to manage R package dependencies. To set up the environment, run the following command in R:

```r
renv::restore()
```

This will install all the required packages and their dependencies.


